| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
MMPServer Class Reference
MMProc

`#include <mmpserver.h>`

Inheritance diagram for MMPServer:
[legend]

## Public Member Functions
| MMPServer (PortNr_Type, int timeout=2000)
| ~MMPServer ()
uiRetVal | errMsg () const
bool | isOK () const
uiRetVal | sendResponse (const char *key, const OD::JSON::Object &)
void | setLogFile (const char *)
void | setTimeout (int timeout)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< MMPServer > | dataRootChg
Notifier< MMPServer > | getLogFile
CNotifier< MMPServer, const uiRetVal & > | logMsg
CNotifier< MMPServer, const OD::JSON::Object & > | startJob

## Protected Member Functions
void | connClosedCB (CallBacker *)
uiRetVal | doHandleRequest (const OD::JSON::Object &)
void | handleSetDataRootRequest (const OD::JSON::Object &)
void | handleStatusRequest (const OD::JSON::Object &)
| mOD_DisableCopy (MMPServer)
void | newConnectionCB (CallBacker *)
void | packetArrivedCB (CallBacker *)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiRetVal | errmsg_
RefMan< Network::RequestPacket > | packet_
Network::RequestServer & | server_
Network::RequestConnection * | tcpconn_ = nullptr
Network::Service & | thisservice_
int | timeout_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ MMPServer()

MMPServer::MMPServer | ( | PortNr_Type | ,
|  | int | timeout = 2000 )

## ◆ ~MMPServer()

MMPServer::~MMPServer | ( |  | ) |

## Member Function Documentation

## ◆ connClosedCB()

void MMPServer::connClosedCB | ( | CallBacker * |  | ) |
| protected

## ◆ doHandleRequest()

uiRetVal MMPServer::doHandleRequest | ( | const OD::JSON::Object & |  | ) |
| protected

## ◆ errMsg()

uiRetVal MMPServer::errMsg | ( |  | ) | const
| inline

## ◆ handleSetDataRootRequest()

void MMPServer::handleSetDataRootRequest | ( | const OD::JSON::Object & |  | ) |
| protected

## ◆ handleStatusRequest()

void MMPServer::handleStatusRequest | ( | const OD::JSON::Object & |  | ) |
| protected

## ◆ isOK()

bool MMPServer::isOK | ( |  | ) | const

## ◆ mOD_DisableCopy()

MMPServer::mOD_DisableCopy | ( | MMPServer |  | ) |
| protected

## ◆ newConnectionCB()

void MMPServer::newConnectionCB | ( | CallBacker * |  | ) |
| protected

## ◆ packetArrivedCB()

void MMPServer::packetArrivedCB | ( | CallBacker * |  | ) |
| protected

## ◆ sendResponse()

uiRetVal MMPServer::sendResponse | ( | const char * | key,
|  | const OD::JSON::Object & | )

## ◆ setLogFile()

void MMPServer::setLogFile | ( | const char * |  | ) |

## ◆ setTimeout()

void MMPServer::setTimeout | ( | int | timeout | ) |
| inline

## Member Data Documentation

## ◆ dataRootChg

Notifier<MMPServer> MMPServer::dataRootChg

## ◆ errmsg_

uiRetVal MMPServer::errmsg_
| protected

## ◆ getLogFile

Notifier<MMPServer> MMPServer::getLogFile

## ◆ logMsg

CNotifier<MMPServer,const uiRetVal&> MMPServer::logMsg

## ◆ packet_

RefMan<Network::RequestPacket> MMPServer::packet_
| protected

## ◆ server_

Network::RequestServer& MMPServer::server_
| protected

## ◆ startJob

CNotifier<MMPServer,const OD::JSON::Object&> MMPServer::startJob

## ◆ tcpconn_

Network::RequestConnection* MMPServer::tcpconn_ = nullptr
| protected

## ◆ thisservice_

Network::Service& MMPServer::thisservice_
| protected

## ◆ timeout_

int MMPServer::timeout_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025